def modify_annotation(modified_spec: dict, config: dict):
    meta = modified_spec["request"]["object"]["metadata"]
    meta["annotations"] = meta.get("annotations", {})
    key = config["key"]
    value = config.get("value")
    if value is not None:
        meta["annotations"][key] = value
    else:
        meta["annotations"].pop(key, None)
