def modify_label(modified_spec: dict, config: dict):
    meta = modified_spec["request"]["object"]["metadata"]
    meta["labels"] = meta.get("labels", {})
    key = config["key"]
    value = config.get("value")
    if value is not None:
        meta["labels"][key] = value
    else:
        meta["labels"].pop(key, None)
